ClickHouse CLI
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new ClickHouse CLI action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run ClickHouse queries",
"type": "CLICKHOUSE_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"version": "24",
"shell": "BASH",
"execute_commands": [
"clickhouse-client -q 'SHOW DATABASES'",
"clickhouse-client --queries-file migrate.sql"
],
"targets": [
{
"identifier": "my_clickhouse_database",
"name": "My ClickHouse Database",
"type": "CLICKHOUSE",
"host": "clickhouse.example.com",
"port": "9000",
"database": "myapp",
"secure": true,
"auth": {
"method": "PASSWORD",
"username": "deploy_user",
"password": "secured"
}
}
]
}'STATUS200 OK